openapi: 3.0.0
info:
    version: "1.47.0.2"
    title: API REST Servicios CGES
    description: >
        <h3>Operaciones Extendidas</h3>
        <p>Este apartado de la definición recoge las operaciones con otras entidades de CGES distintas a las solicitudes:</p>
        <ul>
            <li>Consultas y operaciones con KIs</li>
            <li>Consultas y operaciones con agendas</li>
            <li>Integraciones con aplicaciones de Servicios Horizontales: FARO, JIRA.
                <ul>
                    <li>FARO</li>
                    <li>JIRA</li>
                    <li>...</li>
                </ul>
            </li>
            <li>Otras integraciones:
                <ul>
                    <li>PortaFirmas</li>
                    <li>Altiris</li>
                    <li>LDAP</li>
                    <li>...</li>
                </ul>
            </li>
            <li>Operaciones extendidas que incluyen, entre otras:
                <ul>
                    <li>Operaciones por lotes</li>
                    <li>Búsqueda avanzada</li>
                    <li>Conversor de teléfonos corporativos</li>
                    <li>Mensajería</li>
                    <li>...</li>
                </ul>
            </li>
        </ul>
        <p>
        Algunos apartados incluyen las consultas de tablas maestras necesarias para la operativa.<br/>
        Para el resto de consultas de tablas maestras necesarias, puede consultar el apartado de definición destinado a tal fin.<br/>
        <br/>
        Incluye también los métodos para la generación de los tokens que se usan para operar con la API.
        </p>
        <br/><br/><div id="load_options"></div>
servers:
    - url: http://servicioscges.pre.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Preproducción (acceso por intranet)
    - url: 'https://ws001.sspa.juntadeandalucia.es/servicioscges/api/v1/sistemasExternos'
      description: Servidor de Producción (acceso por internet)
    - url: http://servicioscges.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Producción (acceso por intranet)
paths:
    
    #Acceso al sistema mediante tokens
    
    /accesos/token:
        $ref: './paths_accesos_token.yaml'
        
    #Consultas y operaciones con KIs
    
    /cges/knowledgeitems/:
        $ref: './paths_cges_knowledgeitems.yaml'
    /cges/knowledgeitems/{idKI}:
        $ref: './paths_cges_knowledgeitems_id.yaml'
    /cges/knowledgeitems/{idKI}/actividades:
        $ref: './paths_cges_knowledgeitems_id_actividades.yaml'
    /cges/knowledgeitems/{idKI}/categorias:
        $ref: './paths_cges_knowledgeitems_id_categorias.yaml'
    /cges/knowledgeitems/{idKI}/eventos:
        $ref: './paths_cges_knowledgeitems_id_eventos.yaml'
    /cges/knowledgeitems/{idKI}/valoraciones:
        $ref: './paths_cges_knowledgeitems_id_valoraciones.yaml'
    /cges/knowledgeitems/{idKI}/visitas:
        $ref: './paths_cges_knowledgeitems_id_visitas.yaml'
    /cges/knowledgeitems/actividades/tipos:
        $ref: './paths_cges_knowledgeitems_actividades_tipos.yaml'
    /cges/knowledgeitems/actuaciones/tipos:
        $ref: './paths_cges_knowledgeitems_actuaciones_tipos.yaml'
    /cges/knowledgeitems/categorias:
        $ref: './paths_cges_knowledgeitems_categorias.yaml'
    /cges/knowledgeitems/estados:
        $ref: './paths_cges_knowledgeitems_estados.yaml'
    /cges/knowledgeitems/organizaciones:
        $ref: './paths_cges_knowledgeitems_organizaciones.yaml'
    /cges/knowledgeitems/publicos:
        $ref: './paths_cges_knowledgeitems_publicos.yaml'
    /cges/knowledgeitems/soluciones/plantillas:
        $ref: './paths_cges_knowledgeitems_soluciones_plantillas.yaml'
    /cges/knowledgeitems/tipos:
        $ref: './paths_cges_knowledgeitems_tipos.yaml'
    /cges/solicitudes/{idSolicitud}/knowledgeitems:
        $ref: './paths_cges_solicitudes_id_knowledgeitems.yaml'
        
    #Consultas y operaciones con agendas
    
    /cges/agendas/:
        $ref: './paths_cges_agendas.yaml'
    /cges/agendas/{idAgenda}:
        $ref: './paths_cges_agendas_id.yaml'
    /cges/agendas/{idAgenda}/configuraciones/fechas:
        $ref: './paths_cges_agendas_id_configuraciones_fechas.yaml'
    /cges/agendas/{idAgenda}/configuraciones/horas:
        $ref: './paths_cges_agendas_id_configuraciones_horas.yaml'
    /cges/agendas/{idAgenda}/reservas:
        $ref: './paths_cges_agendas_id_reservas.yaml'
    /cges/agendas/grupos:
        $ref: './paths_cges_agendas_grupos.yaml'
    /cges/agendas/grupos/{idGrupoAgenda}:
        $ref: './paths_cges_agendas_grupos_id.yaml'

    #Integraciones con aplicaciones de SSHH
    
    /faro/solicitudes:
        $ref: './paths_faro_solicitudes.yaml'
    /faro/solicitudes/rfc:
        $ref: './paths_faro_solicitudes_rfc.yaml'
    /jira/solicitudes/{clave}/adjuntos:
        $ref: './paths_jira_solicitudes_id_adjuntos.yaml'
    /jira/solicitudes/{clave}/comentarios:
        $ref: './paths_jira_solicitudes_id_comentarios.yaml'
    /jira/solicitudes/actividadesplanificadas:
        $ref: './paths_jira_solicitudes_actividadesplanificadas.yaml'
    /jira/solicitudes/actividadesplanificadas/{clave}:
        $ref: './paths_jira_solicitudes_actividadesplanificadas_id.yaml'
    /jira/solicitudes/otsoporteprovincial:
        $ref: './paths_jira_solicitudes_otsoporteprovincial.yaml'
    /jira/solicitudes/otsoporteprovincial/{clave}:
        $ref: './paths_jira_solicitudes_otsoporteprovincial_id.yaml'
    /jira/solicitudes/incidencias:
        $ref: './paths_jira_solicitudes_incidencias.yaml'
    /jira/solicitudes/incidencias/{clave}:   
        $ref: './paths_jira_solicitudes_incidencias_id.yaml'
    /jira/solicitudes/mejoras:
        $ref: './paths_jira_solicitudes_mejoras.yaml'
    /jira/solicitudes/mejoras/{clave}:   
        $ref: './paths_jira_solicitudes_mejoras_id.yaml'
    /jira/solicitudes/versiones:
        $ref: './paths_jira_solicitudes_versiones.yaml'    
    /jira/solicitudes/versiones/{clave}:   
        $ref: './paths_jira_solicitudes_versiones_id.yaml'
    /jira/versiones:
        $ref: './paths_jira_versiones.yaml' 
    /gestnotif/suscriptores:
        $ref: './paths_gestnotif_suscriptores.yaml'
    /gestnotif/notificaciones/:
        $ref: './paths_gestnotif_notificaciones.yaml'
    /gestnotif/notificaciones/{idNotificacion}:
        $ref: './paths_gestnotif_notificaciones_id.yaml'
    /gestnotif/notificaciones/emails:
        $ref: './paths_gestnotif_notificaciones_emails.yaml'
    /gestnotif/notificaciones/movil/push:
        $ref: './paths_gestnotif_notificaciones_movil_push.yaml'
    

        
    #Otras integraciones

    #Altiris
    /altiris/recursos/infraestructura:
        $ref: './paths_altiris_recursos_infraestructura.yaml'
    /altiris/recursos/infraestructura/{idEquipo}/software:
        $ref: './paths_altiris_recursos_infraestructura_id_software.yaml'
    #LDAP
    /ldap/{alias}/{codigo}:
        $ref: './paths_ldap_alias_codigo.yaml'
    /ldap/{alias}/{codigo}/atributos:
        $ref: './paths_ldap_alias_codigo_atributos.yaml'
    #Portafirmas
    /cges/portafirmas/solicitudes/:
        $ref: './paths_portafirmas_solicitudes.yaml'
    /cges/portafirmas/solicitudes/{idPortaFirmas}:
        $ref: './paths_portafirmas_solicitudes_id.yaml'        
    /cges/portafirmas/solicitudes/{idPortaFirmas}/actividades:   
        $ref: './paths_portafirmas_solicitudes_id_actividades.yaml'        
    /cges/portafirmas/solicitudes/{idPortaFirmas}/ficheros:
        $ref: './paths_portafirmas_solicitudes_id_ficheros.yaml'   
    /cges/portafirmas/solicitudes/{idPortaFirmas}/ficheros/{idFichero}:
        $ref: './paths_portafirmas_solicitudes_id_ficheros_id.yaml'     
        
    #Operaciones extendidas
    
    /cges/_batch:
        $ref: './paths_cges_batch.yaml'   
    /cges/_buscar/{entidad}:    
        $ref: './paths_cges_buscar_entidad.yaml'   
    /cges/mensajes/sms:    
        $ref: './paths_cges_mensajes_sms.yaml'   
    /cges/mensajes/jms:    
        $ref: './paths_cges_mensajes_jms.yaml'   
    /cges/global/telefonos/formatos:    
        $ref: './paths_cges_global_telefonos_formatos.yaml'   
    /cges/global/health:    
        $ref: './paths_cges_global_health.yaml'  
    /cges/global/permisos:
        $ref: './paths_cges_global_permisos.yaml'  
        
        
        
        
        
